ClarisWksGraphInternal::ZonePict Struct Reference documentation

Public Member Functions | Public Attributes | List of all members
ClarisWksGraphInternal::ZonePict Struct Reference

Internal: the structure used to store a PICT or a MOVIE. More...

Inheritance diagram for ClarisWksGraphInternal::ZonePict:

## Public Member Functions
| ZonePict (Zone const &z, Type type)
| constructor More...
| ~ZonePict ()
| destructor More...
virtual void | print (std::ostream &o) const
| print the data More...
virtual Type | getType () const
| return the main type T_Picture More...
virtual Type | getSubType () const
| return the sub type More...
virtual int | getNumData (int) const
| return the number of data in a file More...
virtual ClarisWksStruct::DSET::Child | getChild () const
| return a child corresponding to this zone More...
Public Member Functions inherited from ClarisWksGraphInternal::Zone
| Zone ()
| constructor More...
virtual | ~Zone ()
| destructor More...
MWAWBox2f | getBdBox () const
| return the zone bdbox More...
virtual int | getZoneId () const
| returns the id of the reference zone More...
virtual bool | canBeSendAsGraphic () const
| returns true if the zone can be send using a graphic listener (partial check) More...

## Public Attributes
Type | m_type
| the sub type More...
MWAWEntry | m_entries [2]
| the picture entry followed by a ps entry or ole entry ( if defined) More...
Public Attributes inherited from ClarisWksGraphInternal::Zone
int | m_zoneType
| the zone type More...
int | m_page
| the page (checkme: or frame linked ) More...
MWAWBox2f | m_box
| the bdbox More...
int | m_ordering
| the ordering More...
Style | m_style
| the style More...

## Additional Inherited Members
Public Types inherited from ClarisWksGraphInternal::Zone
enum | Type { T_Zone, T_Zone2, T_Shape, T_Picture, T_Chart, T_DataBox, T_Unknown, T_Line, T_Rect, T_RectOval, T_Oval, T_Arc, T_Poly, T_Pict, T_QTim, T_Movie }
| the list of types More...

## Detailed Description

Internal: the structure used to store a PICT or a MOVIE.

## Constructor & Destructor Documentation

## ◆ ZonePict()

ClarisWksGraphInternal::ZonePict::ZonePict | ( | Zone const & | z,
|  | Type | type
| ) |  |
| inline

constructor

## ◆ ~ZonePict()

ClarisWksGraphInternal::ZonePict::~ZonePict | ( |  | ) |

destructor

## Member Function Documentation

## ◆ getChild()

virtual ClarisWksStruct::DSET::Child ClarisWksGraphInternal::ZonePict::getChild | ( |  | ) | const
| inlinevirtual

return a child corresponding to this zone

Reimplemented from ClarisWksGraphInternal::Zone.

## ◆ getNumData()

virtual int ClarisWksGraphInternal::ZonePict::getNumData | ( | int |  | ) | const
| inlinevirtual

return the number of data in a file

Reimplemented from ClarisWksGraphInternal::Zone.

## ◆ getSubType()

virtual Type ClarisWksGraphInternal::ZonePict::getSubType | ( |  | ) | const
| inlinevirtual

return the sub type

Reimplemented from ClarisWksGraphInternal::Zone.

Referenced by ClarisWksGraph::sendPicture().

## ◆ getType()

virtual Type ClarisWksGraphInternal::ZonePict::getType | ( |  | ) | const
| inlinevirtual

return the main type T_Picture

Reimplemented from ClarisWksGraphInternal::Zone.

## ◆ print()

virtual void ClarisWksGraphInternal::ZonePict::print | ( | std::ostream & | o | ) | const
| inlinevirtual

print the data

Reimplemented from ClarisWksGraphInternal::Zone.

## Member Data Documentation

## ◆ m_entries

MWAWEntry ClarisWksGraphInternal::ZonePict::m_entries[2]

the picture entry followed by a ps entry or ole entry ( if defined)

Referenced by ClarisWksGraph::readNamedPict(), ClarisWksGraph::readOLE(), ClarisWksGraph::readPICT(), ClarisWksGraph::readPS(), and ClarisWksGraph::sendPicture().

## ◆ m_type

Type ClarisWksGraphInternal::ZonePict::m_type

the sub type

The documentation for this struct was generated from the following file:

- ClarisWksGraph.cxx